#pragma once
#include "Globals.h"
#include "LogicPlayer.h"
#include "UserInput.h"
#include "Match.h"

class GameData
{
public:
	GameData();
	~GameData(void);

	void new_game(PLAYER_ID p1, PLAYER_ID p2);

public:
	LogicPlayer* _players[2];
	Match _match;
	kft::UserInput _input;
};
